<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-utilisateur-heading" data-cy="UtilisateurCreateUpdateHeading" jhiTranslate="blogApp.utilisateur.home.createOrEditLabel">
        Créer ou éditer un Utilisateur
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.utilisateur.role" for="field_role">Role</label>
          <select class="form-control" name="role" formControlName="role" id="field_role" data-cy="role">
            <option [ngValue]="null">{{ 'blogApp.Role.null' | translate }}</option>
            <option *ngFor="let role of roleValues" [value]="role">{{ 'blogApp.Role.' + role | translate }}</option>
          </select>
        </div>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="blogApp.utilisateur.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          <div *ngIf="editForm.get('id')!.invalid && (editForm.get('id')!.dirty || editForm.get('id')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('id')?.errors?.required" jhiTranslate="entity.validation.required">
              Ce champ est obligatoire.
            </small>
            <small class="form-text text-danger" [hidden]="!editForm.get('id')?.errors?.number" jhiTranslate="entity.validation.number">
              Ce champ doit être un nombre.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.utilisateur.name" for="field_name">Name</label>
          <input type="text" class="form-control" name="name" id="field_name" data-cy="name" formControlName="name" />
          <div *ngIf="editForm.get('name')!.invalid && (editForm.get('name')!.dirty || editForm.get('name')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('name')?.errors?.required" jhiTranslate="entity.validation.required">
              Ce champ est obligatoire.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.utilisateur.adresse" for="field_adresse">Adresse</label>
          <input type="text" class="form-control" name="adresse" id="field_adresse" data-cy="adresse" formControlName="adresse" />
          <div *ngIf="editForm.get('adresse')!.invalid && (editForm.get('adresse')!.dirty || editForm.get('adresse')!.touched)">
            <small
              class="form-text text-danger"
              *ngIf="editForm.get('adresse')?.errors?.required"
              jhiTranslate="entity.validation.required"
            >
              Ce champ est obligatoire.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.utilisateur.telephone" for="field_telephone">Telephone</label>
          <input type="text" class="form-control" name="telephone" id="field_telephone" data-cy="telephone" formControlName="telephone" />
          <div *ngIf="editForm.get('telephone')!.invalid && (editForm.get('telephone')!.dirty || editForm.get('telephone')!.touched)">
            <small
              class="form-text text-danger"
              *ngIf="editForm.get('telephone')?.errors?.required"
              jhiTranslate="entity.validation.required"
            >
              Ce champ est obligatoire.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.utilisateur.mail" for="field_mail">Mail</label>
          <input type="text" class="form-control" name="mail" id="field_mail" data-cy="mail" formControlName="mail" />
          <div *ngIf="editForm.get('mail')!.invalid && (editForm.get('mail')!.dirty || editForm.get('mail')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('mail')?.errors?.required" jhiTranslate="entity.validation.required">
              Ce champ est obligatoire.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label jhiTranslate="blogApp.utilisateur.cooperative" for="field_cooperatives">Cooperative</label>
          <select
            class="form-control"
            id="field_cooperatives"
            data-cy="cooperative"
            multiple
            name="cooperatives"
            formControlName="cooperatives"
            [compareWith]="compareCooperative"
          >
            <option [ngValue]="cooperativeOption" *ngFor="let cooperativeOption of cooperativesSharedCollection">
              {{ cooperativeOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
